/* Program clears screen, waits for keystroke and restores the original
   state of screen. It shows a defined text at random possitions until
   terminates.
   December 1, 1993                                        Petr Olsak  */

# include <conio.h>
# include <stdio.h>
# include <time.h>
# include <string.h>
# include <stdlib.h>

# define DELAY1 2         /* how many time show text */
# define DELAY2 1         /* how many time is shown nothing */
# define SHOWTEXT "MNU"   /* the text */

char buff[4096];
time_t tim;
int state, xsize, ysize, cx, cy, x, y;

void showtext(void)
{
  state = 1 - state;
  if (state)
  {
    x = rand() / (RAND_MAX / xsize) + 1;
    y = rand() / (RAND_MAX / ysize) + 1;
    gotoxy (x, y); printf ("%s", SHOWTEXT);
    tim += DELAY1;
  }
  else
  {
    clrscr();
    gotoxy (x, y);
    tim += DELAY2;
  }
}


int main ()
{
  time_t t1;
  cx = wherex(); cy = wherey();
  gettext (1, 1, 80, 25, buff);
  clrscr();
  state = 0; randomize();
  xsize = 78 - strlen(SHOWTEXT);  ysize = 24;
  time(&tim);
  while (!kbhit()) if (time(&t1) >= tim) showtext();
  getch();                /* remove keystroke from input buffer */
  if (kbhit()) getch();   /* remove keystroke of type F? */
  puttext (1, 1, 80, 25, buff);
  gotoxy (cx, cy);
  return 0;
}